## ros-galactic-ur-moveit-config 2.1.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(ur_moveit_config)

find_package(ament_cmake REQUIRED)
find_package(ament_cmake_python REQUIRED)

install(DIRECTORY config launch rviz srdf
  DESTINATION share/${PROJECT_NAME}
)

# Install Python modules
ament_python_install_package(${PROJECT_NAME})
ament_python_install_module(${PROJECT_NAME}/launch_common.py)

ament_package()

=== debian/changelog ===
ros-galactic-ur-moveit-config (2.1.2-1focal) focal; urgency=high

  * Fix dependencies for galactic (#392 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/392>)
  * Contributors: Felix Exner, Robert Wilbrandt

 -- Denis Stogl <denis@stoglrobotics.de>  Tue, 26 Jul 2022 22:00:00 -0000

ros-galactic-ur-moveit-config (2.1.1-1focal) focal; urgency=high

  * Remove non-required dependency from CMakeLists
  * Contributors: Felix Exner

 -- Denis Stogl <denis@stoglrobotics.de>  Wed, 04 May 2022 22:00:00 -0000

ros-galactic-ur-moveit-config (2.1.0-1focal) focal; urgency=high

  * Updated package maintainers (#360 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/360>)
  * Add missing dep to warehouse_ros_mongo (#352 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/352>)
  * Update license to BSD-3-Clause (#277 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/277>)
  * Correct loading kinematics parameters from yaml (#308 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/308>)
  * Update MoveIt file for working with simulation. (#278 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/278>)
  * Changing default controller in MoveIt config. (#288 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/288>)
  * Move Servo launching into the main MoveIt launch file. Make it optional. (#239 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/239>)
  * Joint limits parameters for Moveit planning (#187 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/187>)
  * Update Servo parameters, for smooth motion (#188 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/188>)
  * Enabling velocity mode (#146 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/146>)
  * Remove obsolete and unused files and packages. (#80 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/80>)
  * Review CI by correcting the configurations (#71 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/71>)
  * Add support for gpios, update MoveIt and ros2_control launching (#66 <https://github.com/UniversalRobots/Universal_Robots_ROS2_Driver/issues/66>)
  * Contributors: AndyZe, Denis Štogl, Felix Exner, livanov93

 -- Denis Stogl <denis@stoglrobotics.de>  Mon, 02 May 2022 22:00:00 -0000

=== debian/control ===
Source: ros-galactic-ur-moveit-config
Section: misc
Priority: optional
Maintainer: Denis Stogl <denis@stoglrobotics.de>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-python, ros-galactic-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-ur-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-launch, ros-galactic-launch-ros, ros-galactic-moveit-kinematics, ros-galactic-moveit-planners-ompl, ros-galactic-moveit-ros-move-group, ros-galactic-moveit-ros-visualization, ros-galactic-moveit-servo, ros-galactic-moveit-simple-controller-manager, ros-galactic-rviz2, ros-galactic-ur-description, ros-galactic-urdf, ros-galactic-warehouse-ros-mongo, ros-galactic-xacro, ros-galactic-ros-workspace
Description: An example package with MoveIt2 configurations for UR robots.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-ur-moveit-config//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
